/*******************************************************************************
 * Copyright (c) 2016 Red Hat Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Red Hat - Initial Contribution
 *******************************************************************************/
package org.eclipse.linuxtools.internal.docker.ui.commands;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.linuxtools.internal.docker.ui.views.DockerContainersView;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.handlers.HandlerUtil;

public class FilterContainersWithLabelsCommandHandler extends AbstractHandler {

	@Override
	public Object execute(final ExecutionEvent event)
			throws ExecutionException {
		final IWorkbenchPart activePart = HandlerUtil.getActivePart(event);
		final boolean checked = !HandlerUtil
				.toggleCommandState(event.getCommand());
		if (activePart instanceof DockerContainersView) {
			final DockerContainersView containersView = (DockerContainersView) activePart;
			containersView.showContainersWithLabels(checked);
		}
		return null;
	}

}
